; Script generated by the HM NIS Edit Script Wizard.

Function .onInit
  System::Call 'kernel32::CreateMutex(p 0, i 0, t "GC-Installer") p .r1 ?e'
  Pop $R0

  StrCmp $R0 0 +3
    MessageBox MB_OK|MB_ICONEXCLAMATION "The installer is already running."
  Abort
FunctionEnd

; HM NIS Edit Wizard helper defines
!define PRODUCT_NAME "Golden Cheetah"
!define PRODUCT_VERSION "v3.3.0"
!define PRODUCT_BIT "64"
!define PRODUCT_STARTMENU "Golden Cheetah"
!define PRODUCT_WEB_SITE_FILENAME "GoldenCheetah WebSite"
!define PRODUCT_WEB_SITE_URL "http://www.goldencheetah.org"
!define PRODUCT_WIKI_FILENAME "GoldenCheetah Wiki"
!define PRODUCT_WIKI_URL "http://www.goldencheetah.org/wiki.html"
!define PRODUCT_DIR_REGKEY "Software\Microsoft\Windows\CurrentVersion\App Paths\GoldenCheetah.exe"
!define PRODUCT_UNINST_KEY "Software\Microsoft\Windows\CurrentVersion\Uninstall\${PRODUCT_NAME}"
!define PRODUCT_SETTINGS_KEY "Software\goldencheetah.org"
!define PRODUCT_UNINST_ROOT_KEY "HKLM"


;--------------------------------
;Include Modern UI

!include "MUI2.nsh"

;--------------------------------
;General

Name "${PRODUCT_NAME} ${PRODUCT_VERSION} (${PRODUCT_BIT}bit)"
OutFile "GoldenCheetah_${PRODUCT_VERSION}_${PRODUCT_BIT}bit_Windows.exe"
InstallDir "$PROGRAMFILES64\Golden Cheetah"
InstallDirRegKey HKLM "${PRODUCT_DIR_REGKEY}" "Install_Dir"
Icon "gc.ico"
RequestExecutionLevel admin

;--------------------------------
;Interface Settings

!define MUI_ABORTWARNING
!define MUI_ICON "gc.ico"
!define MUI_UNICON "gc.ico"

;--------------------------------
;Pages

; Welcome page
!insertmacro MUI_PAGE_WELCOME

; License page
!insertmacro MUI_PAGE_LICENSE "license.txt"

; Directory page
!insertmacro MUI_PAGE_DIRECTORY

; Instfiles page
!insertmacro MUI_PAGE_INSTFILES
!define MUI_FINISHPAGE_NOAUTOCLOSE
; Finish page
;!define MUI_FINISHPAGE_RUN "$INSTDIR\GoldenCheetah.exe" - don't offer run - since we may be in wroing Shell Context
!insertmacro MUI_PAGE_FINISH

; Uninstaller pages
!insertmacro MUI_UNPAGE_WELCOME
!insertmacro MUI_UNPAGE_CONFIRM
!insertmacro MUI_UNPAGE_INSTFILES
!insertmacro MUI_UNPAGE_FINISH

; Language files
!insertmacro MUI_LANGUAGE "English"

; MUI end ------


Section "Golden Cheetah (required)" SEC01
  SetShellVarContext all
  CreateDirectory "$SMPROGRAMS\${PRODUCT_STARTMENU}"
  CreateShortCut "$SMPROGRAMS\${PRODUCT_STARTMENU}\Golden Cheetah.lnk" "$INSTDIR\GoldenCheetah.exe"
  CreateShortCut "$SMPROGRAMS\${PRODUCT_STARTMENU}\Golden Cheetah - HighDPI.lnk" "$INSTDIR\GoldenCheetah.exe"  "-platform windows:dpiawareness=0"
  CreateShortCut "$DESKTOP\Golden Cheetah.lnk" "$INSTDIR\GoldenCheetah.exe"
  CreateShortCut "$DESKTOP\Golden Cheetah - HighDPI.lnk" "$INSTDIR\GoldenCheetah.exe" "-platform windows:dpiawareness=0"

  SetOutPath "$INSTDIR"
  SetOverwrite ifnewer
  File "ftd2xx.dll"
  File "GoldenCheetah.exe"
  File "kqoauth0.dll"
  File "libbz2-1.dll"
  File "libeay32.dll"
  File "libfreetype-6.dll"
  File "libgcc_s_seh-1.dll"
  File "libglib-2.0-0.dll"
  File "libharfbuzz-0.dll"
  File "libical.dll"
  File "libicalss.dll"
  File "libicalvcal.dll"
  File "libiconv-2.dll"
  File "libicudt55.dll"
  File "libicuin55.dll"
  File "libicuuc55.dll"
  File "libintl-8.dll"
  File "libjpeg-8.dll"
  File "libpcre16-0.dll"
  File "libpng16-16.dll"
  File "libsqlite3-0.dll"
  File "libstdc++-6.dll"
  File "libusb0.dll"
  File "libvlc.dll"
  File "libvlccore.dll"
  File "libwebp-5.dll"
  File "libwinpthread-1.dll"
  File "libxml2-2.dll"
  File "libxslt-1.dll"
  File "license.txt"
  File "OpenSSL License.txt"
  File "Qt5Concurrent.dll"
  File "Qt5Core.dll"
  File "Qt5Gui.dll"
  File "Qt5Multimedia.dll"
  File "Qt5MultimediaWidgets.dll"
  File "Qt5Network.dll"
  File "Qt5OpenGL.dll"
  File "Qt5Positioning.dll"
  File "Qt5PrintSupport.dll"
  File "Qt5Qml.dll"
  File "Qt5Quick.dll"
  File "Qt5Sensors.dll"
  File "Qt5SerialPort.dll"
  File "Qt5Sql.dll"
  File "Qt5Svg.dll"
  File "Qt5WebChannel.dll"
  File "Qt5WebKit.dll"
  File "Qt5WebKitWidgets.dll"
  File "Qt5Widgets.dll"
  File "Qt5Xml.dll"
  File "SiUSBXp.dll"
  File "ssleay32.dll"
  File "zlib1.dll"
  SetOverwrite try
  SetOutPath "$INSTDIR\audio"
  File "audio\qtaudio_windows.dll"
  SetOutPath "$INSTDIR\bearer"
  File "bearer\qgenericbearer.dll"
  File "bearer\qnativewifibearer.dll"
  SetOutPath "$INSTDIR\iconengines"
  File "iconengines\qsvgicon.dll"
  SetOutPath "$INSTDIR\imageformats"
  File "imageformats\qdds.dll"
  File "imageformats\qgif.dll"
  File "imageformats\qicns.dll"
  File "imageformats\qico.dll"
  File "imageformats\qjp2.dll"
  File "imageformats\qjpeg.dll"
  File "imageformats\qmng.dll"
  File "imageformats\qsvg.dll"
  File "imageformats\qtga.dll"
  File "imageformats\qtiff.dll"
  File "imageformats\qwbmp.dll"
  File "imageformats\qwebp.dll"
  SetOutPath "$INSTDIR\mediaservice"
  File "mediaservice\dsengine.dll"
  File "mediaservice\qtmedia_audioengine.dll"
  SetOutPath "$INSTDIR\platforms"
  File "platforms\qwindows.dll"
  SetOutPath "$INSTDIR\playlistformats"
  File "playlistformats\qtmultimedia_m3u.dll"
  SetOutPath "$INSTDIR\plugins\access"
  File "plugins\access\libaccess_bd_plugin.dll"
  File "plugins\access\libaccess_mms_plugin.dll"
  File "plugins\access\libaccess_realrtsp_plugin.dll"
  File "plugins\access\libattachment_plugin.dll"
  File "plugins\access\libcdda_plugin.dll"
  File "plugins\access\libdshow_plugin.dll"
  File "plugins\access\libdtv_plugin.dll"
  File "plugins\access\libdvdnav_plugin.dll"
  File "plugins\access\libdvdread_plugin.dll"
  File "plugins\access\libfilesystem_plugin.dll"
  File "plugins\access\libftp_plugin.dll"
  File "plugins\access\libhttp_plugin.dll"
  File "plugins\access\libidummy_plugin.dll"
  File "plugins\access\libimem_plugin.dll"
  File "plugins\access\liblibbluray_plugin.dll"
  File "plugins\access\liblive555_plugin.dll"
  File "plugins\access\librar_plugin.dll"
  File "plugins\access\librtp_plugin.dll"
  File "plugins\access\libscreen_plugin.dll"
  File "plugins\access\libsdp_plugin.dll"
  File "plugins\access\libsftp_plugin.dll"
  File "plugins\access\libshm_plugin.dll"
  File "plugins\access\libsmb_plugin.dll"
  File "plugins\access\libtcp_plugin.dll"
  File "plugins\access\libtimecode_plugin.dll"
  File "plugins\access\libudp_plugin.dll"
  File "plugins\access\libvcd_plugin.dll"
  File "plugins\access\libvdr_plugin.dll"
  File "plugins\access\libzip_plugin.dll"
  SetOutPath "$INSTDIR\plugins\access_output"
  File "plugins\access_output\libaccess_output_dummy_plugin.dll"
  File "plugins\access_output\libaccess_output_file_plugin.dll"
  File "plugins\access_output\libaccess_output_http_plugin.dll"
  File "plugins\access_output\libaccess_output_livehttp_plugin.dll"
  File "plugins\access_output\libaccess_output_shout_plugin.dll"
  File "plugins\access_output\libaccess_output_udp_plugin.dll"
  SetOutPath "$INSTDIR\plugins\audio_filter"
  File "plugins\audio_filter\liba52tofloat32_plugin.dll"
  File "plugins\audio_filter\liba52tospdif_plugin.dll"
  File "plugins\audio_filter\libaudiobargraph_a_plugin.dll"
  File "plugins\audio_filter\libaudio_format_plugin.dll"
  File "plugins\audio_filter\libchorus_flanger_plugin.dll"
  File "plugins\audio_filter\libcompressor_plugin.dll"
  File "plugins\audio_filter\libdolby_surround_decoder_plugin.dll"
  File "plugins\audio_filter\libdtstofloat32_plugin.dll"
  File "plugins\audio_filter\libdtstospdif_plugin.dll"
  File "plugins\audio_filter\libequalizer_plugin.dll"
  File "plugins\audio_filter\libgain_plugin.dll"
  File "plugins\audio_filter\libheadphone_channel_mixer_plugin.dll"
  File "plugins\audio_filter\libkaraoke_plugin.dll"
  File "plugins\audio_filter\libmono_plugin.dll"
  File "plugins\audio_filter\libmpgatofixed32_plugin.dll"
  File "plugins\audio_filter\libnormvol_plugin.dll"
  File "plugins\audio_filter\libparam_eq_plugin.dll"
  File "plugins\audio_filter\libremap_plugin.dll"
  File "plugins\audio_filter\libsamplerate_plugin.dll"
  File "plugins\audio_filter\libscaletempo_plugin.dll"
  File "plugins\audio_filter\libsimple_channel_mixer_plugin.dll"
  File "plugins\audio_filter\libspatializer_plugin.dll"
  File "plugins\audio_filter\libspeex_resampler_plugin.dll"
  File "plugins\audio_filter\libstereo_widen_plugin.dll"
  File "plugins\audio_filter\libtrivial_channel_mixer_plugin.dll"
  File "plugins\audio_filter\libugly_resampler_plugin.dll"
  SetOutPath "$INSTDIR\plugins\audio_mixer"
  File "plugins\audio_mixer\libfloat_mixer_plugin.dll"
  File "plugins\audio_mixer\libinteger_mixer_plugin.dll"
  SetOutPath "$INSTDIR\plugins\audio_output"
  File "plugins\audio_output\libadummy_plugin.dll"
  File "plugins\audio_output\libafile_plugin.dll"
  File "plugins\audio_output\libamem_plugin.dll"
  File "plugins\audio_output\libdirectsound_plugin.dll"
  File "plugins\audio_output\libmmdevice_plugin.dll"
  File "plugins\audio_output\libwasapi_plugin.dll"
  File "plugins\audio_output\libwaveout_plugin.dll"
  SetOutPath "$INSTDIR\plugins\codec"
  File "plugins\codec\liba52_plugin.dll"
  File "plugins\codec\libadpcm_plugin.dll"
  File "plugins\codec\libaes3_plugin.dll"
  File "plugins\codec\libaraw_plugin.dll"
  File "plugins\codec\libavcodec_plugin.dll"
  File "plugins\codec\libcc_plugin.dll"
  File "plugins\codec\libcdg_plugin.dll"
  File "plugins\codec\libcrystalhd_plugin.dll"
  File "plugins\codec\libcvdsub_plugin.dll"
  File "plugins\codec\libddummy_plugin.dll"
  File "plugins\codec\libdmo_plugin.dll"
  File "plugins\codec\libdts_plugin.dll"
  File "plugins\codec\libdvbsub_plugin.dll"
  File "plugins\codec\libdxva2_plugin.dll"
  File "plugins\codec\libedummy_plugin.dll"
  File "plugins\codec\libfaad_plugin.dll"
  File "plugins\codec\libflac_plugin.dll"
  File "plugins\codec\libg711_plugin.dll"
  File "plugins\codec\libjpeg_plugin.dll"
  File "plugins\codec\libkate_plugin.dll"
  File "plugins\codec\liblibass_plugin.dll"
  File "plugins\codec\liblibmpeg2_plugin.dll"
  File "plugins\codec\liblpcm_plugin.dll"
  File "plugins\codec\libmft_plugin.dll"
  File "plugins\codec\libmpeg_audio_plugin.dll"
  File "plugins\codec\libopus_plugin.dll"
  File "plugins\codec\libpng_plugin.dll"
  File "plugins\codec\libquicktime_plugin.dll"
  File "plugins\codec\librawvideo_plugin.dll"
  File "plugins\codec\libschroedinger_plugin.dll"
  File "plugins\codec\libscte27_plugin.dll"
  File "plugins\codec\libspeex_plugin.dll"
  File "plugins\codec\libspudec_plugin.dll"
  File "plugins\codec\libstl_plugin.dll"
  File "plugins\codec\libsubsdec_plugin.dll"
  File "plugins\codec\libsubstx3g_plugin.dll"
  File "plugins\codec\libsubsusf_plugin.dll"
  File "plugins\codec\libsvcdsub_plugin.dll"
  File "plugins\codec\libt140_plugin.dll"
  File "plugins\codec\libtheora_plugin.dll"
  File "plugins\codec\libtwolame_plugin.dll"
  File "plugins\codec\libuleaddvaudio_plugin.dll"
  File "plugins\codec\libvorbis_plugin.dll"
  File "plugins\codec\libvpx_plugin.dll"
  File "plugins\codec\libx264_plugin.dll"
  File "plugins\codec\libx265_plugin.dll"
  File "plugins\codec\libzvbi_plugin.dll"
  SetOutPath "$INSTDIR\plugins\control"
  File "plugins\control\libdummy_plugin.dll"
  File "plugins\control\libgestures_plugin.dll"
  File "plugins\control\libhotkeys_plugin.dll"
  File "plugins\control\libnetsync_plugin.dll"
  File "plugins\control\libntservice_plugin.dll"
  File "plugins\control\liboldrc_plugin.dll"
  File "plugins\control\libwin_hotkeys_plugin.dll"
  File "plugins\control\libwin_msg_plugin.dll"
  SetOutPath "$INSTDIR\plugins\demux"
  File "plugins\demux\libaiff_plugin.dll"
  File "plugins\demux\libasf_plugin.dll"
  File "plugins\demux\libau_plugin.dll"
  File "plugins\demux\libavi_plugin.dll"
  File "plugins\demux\libcaf_plugin.dll"
  File "plugins\demux\libdemuxdump_plugin.dll"
  File "plugins\demux\libdemux_cdg_plugin.dll"
  File "plugins\demux\libdemux_stl_plugin.dll"
  File "plugins\demux\libdiracsys_plugin.dll"
  File "plugins\demux\libes_plugin.dll"
  File "plugins\demux\libflacsys_plugin.dll"
  File "plugins\demux\libgme_plugin.dll"
  File "plugins\demux\libh264_plugin.dll"
  File "plugins\demux\libhevc_plugin.dll"
  File "plugins\demux\libimage_plugin.dll"
  File "plugins\demux\libmjpeg_plugin.dll"
  File "plugins\demux\libmkv_plugin.dll"
  File "plugins\demux\libmod_plugin.dll"
  File "plugins\demux\libmp4_plugin.dll"
  File "plugins\demux\libmpc_plugin.dll"
  File "plugins\demux\libmpgv_plugin.dll"
  File "plugins\demux\libnsc_plugin.dll"
  File "plugins\demux\libnsv_plugin.dll"
  File "plugins\demux\libnuv_plugin.dll"
  File "plugins\demux\libogg_plugin.dll"
  File "plugins\demux\libplaylist_plugin.dll"
  File "plugins\demux\libps_plugin.dll"
  File "plugins\demux\libpva_plugin.dll"
  File "plugins\demux\librawaud_plugin.dll"
  File "plugins\demux\librawdv_plugin.dll"
  File "plugins\demux\librawvid_plugin.dll"
  File "plugins\demux\libreal_plugin.dll"
  File "plugins\demux\libsid_plugin.dll"
  File "plugins\demux\libsmf_plugin.dll"
  File "plugins\demux\libsubtitle_plugin.dll"
  File "plugins\demux\libts_plugin.dll"
  File "plugins\demux\libtta_plugin.dll"
  File "plugins\demux\libty_plugin.dll"
  File "plugins\demux\libvc1_plugin.dll"
  File "plugins\demux\libvobsub_plugin.dll"
  File "plugins\demux\libvoc_plugin.dll"
  File "plugins\demux\libwav_plugin.dll"
  File "plugins\demux\libxa_plugin.dll"
  SetOutPath "$INSTDIR\plugins\gui"
  File "plugins\gui\libskins2_plugin.dll"
  SetOutPath "$INSTDIR\plugins\lua"
  File "plugins\lua\liblua_plugin.dll"
  SetOutPath "$INSTDIR\plugins\meta_engine"
  File "plugins\meta_engine\libfolder_plugin.dll"
  File "plugins\meta_engine\libtaglib_plugin.dll"
  SetOutPath "$INSTDIR\plugins\misc"
  File "plugins\misc\libaddonsfsstorage_plugin.dll"
  File "plugins\misc\libaddonsvorepository_plugin.dll"
  File "plugins\misc\libaudioscrobbler_plugin.dll"
  File "plugins\misc\libexport_plugin.dll"
  File "plugins\misc\libfingerprinter_plugin.dll"
  File "plugins\misc\libgnutls_plugin.dll"
  File "plugins\misc\liblogger_plugin.dll"
  File "plugins\misc\libstats_plugin.dll"
  File "plugins\misc\libvod_rtsp_plugin.dll"
  File "plugins\misc\libxml_plugin.dll"
  SetOutPath "$INSTDIR\plugins\mux"
  File "plugins\mux\libmux_asf_plugin.dll"
  File "plugins\mux\libmux_avi_plugin.dll"
  File "plugins\mux\libmux_dummy_plugin.dll"
  File "plugins\mux\libmux_mp4_plugin.dll"
  File "plugins\mux\libmux_mpjpeg_plugin.dll"
  File "plugins\mux\libmux_ogg_plugin.dll"
  File "plugins\mux\libmux_ps_plugin.dll"
  File "plugins\mux\libmux_ts_plugin.dll"
  File "plugins\mux\libmux_wav_plugin.dll"
  SetOutPath "$INSTDIR\plugins\packetizer"
  File "plugins\packetizer\libpacketizer_copy_plugin.dll"
  File "plugins\packetizer\libpacketizer_dirac_plugin.dll"
  File "plugins\packetizer\libpacketizer_flac_plugin.dll"
  File "plugins\packetizer\libpacketizer_h264_plugin.dll"
  File "plugins\packetizer\libpacketizer_hevc_plugin.dll"
  File "plugins\packetizer\libpacketizer_mlp_plugin.dll"
  File "plugins\packetizer\libpacketizer_mpeg4audio_plugin.dll"
  File "plugins\packetizer\libpacketizer_mpeg4video_plugin.dll"
  File "plugins\packetizer\libpacketizer_mpegvideo_plugin.dll"
  File "plugins\packetizer\libpacketizer_vc1_plugin.dll"
  SetOutPath "$INSTDIR\plugins\services_discovery"
  File "plugins\services_discovery\libmediadirs_plugin.dll"
  File "plugins\services_discovery\libpodcast_plugin.dll"
  File "plugins\services_discovery\libsap_plugin.dll"
  File "plugins\services_discovery\libupnp_plugin.dll"
  File "plugins\services_discovery\libwindrive_plugin.dll"
  SetOutPath "$INSTDIR\plugins\stream_filter"
  File "plugins\stream_filter\libdash_plugin.dll"
  File "plugins\stream_filter\libhttplive_plugin.dll"
  File "plugins\stream_filter\librecord_plugin.dll"
  File "plugins\stream_filter\libsmooth_plugin.dll"
  SetOutPath "$INSTDIR\plugins\stream_out"
  File "plugins\stream_out\libstream_out_autodel_plugin.dll"
  File "plugins\stream_out\libstream_out_bridge_plugin.dll"
  File "plugins\stream_out\libstream_out_chromaprint_plugin.dll"
  File "plugins\stream_out\libstream_out_delay_plugin.dll"
  File "plugins\stream_out\libstream_out_description_plugin.dll"
  File "plugins\stream_out\libstream_out_display_plugin.dll"
  File "plugins\stream_out\libstream_out_dummy_plugin.dll"
  File "plugins\stream_out\libstream_out_duplicate_plugin.dll"
  File "plugins\stream_out\libstream_out_es_plugin.dll"
  File "plugins\stream_out\libstream_out_gather_plugin.dll"
  File "plugins\stream_out\libstream_out_langfromtelx_plugin.dll"
  File "plugins\stream_out\libstream_out_mosaic_bridge_plugin.dll"
  File "plugins\stream_out\libstream_out_raop_plugin.dll"
  File "plugins\stream_out\libstream_out_record_plugin.dll"
  File "plugins\stream_out\libstream_out_rtp_plugin.dll"
  File "plugins\stream_out\libstream_out_setid_plugin.dll"
  File "plugins\stream_out\libstream_out_smem_plugin.dll"
  File "plugins\stream_out\libstream_out_standard_plugin.dll"
  File "plugins\stream_out\libstream_out_stats_plugin.dll"
  File "plugins\stream_out\libstream_out_transcode_plugin.dll"
  SetOutPath "$INSTDIR\plugins\text_renderer"
  File "plugins\text_renderer\libfreetype_plugin.dll"
  File "plugins\text_renderer\libtdummy_plugin.dll"
  SetOutPath "$INSTDIR\plugins\video_chroma"
  File "plugins\video_chroma\libchain_plugin.dll"
  File "plugins\video_chroma\libgrey_yuv_plugin.dll"
  File "plugins\video_chroma\libi420_rgb_mmx_plugin.dll"
  File "plugins\video_chroma\libi420_rgb_plugin.dll"
  File "plugins\video_chroma\libi420_rgb_sse2_plugin.dll"
  File "plugins\video_chroma\libi420_yuy2_mmx_plugin.dll"
  File "plugins\video_chroma\libi420_yuy2_plugin.dll"
  File "plugins\video_chroma\libi420_yuy2_sse2_plugin.dll"
  File "plugins\video_chroma\libi422_i420_plugin.dll"
  File "plugins\video_chroma\libi422_yuy2_mmx_plugin.dll"
  File "plugins\video_chroma\libi422_yuy2_plugin.dll"
  File "plugins\video_chroma\libi422_yuy2_sse2_plugin.dll"
  File "plugins\video_chroma\librv32_plugin.dll"
  File "plugins\video_chroma\libswscale_plugin.dll"
  File "plugins\video_chroma\libyuy2_i420_plugin.dll"
  File "plugins\video_chroma\libyuy2_i422_plugin.dll"
  SetOutPath "$INSTDIR\plugins\video_filter"
  File "plugins\video_filter\libadjust_plugin.dll"
  File "plugins\video_filter\libalphamask_plugin.dll"
  File "plugins\video_filter\libanaglyph_plugin.dll"
  File "plugins\video_filter\libantiflicker_plugin.dll"
  File "plugins\video_filter\libatmo_plugin.dll"
  File "plugins\video_filter\libaudiobargraph_v_plugin.dll"
  File "plugins\video_filter\libball_plugin.dll"
  File "plugins\video_filter\libblendbench_plugin.dll"
  File "plugins\video_filter\libblend_plugin.dll"
  File "plugins\video_filter\libbluescreen_plugin.dll"
  File "plugins\video_filter\libcanvas_plugin.dll"
  File "plugins\video_filter\libcolorthres_plugin.dll"
  File "plugins\video_filter\libcroppadd_plugin.dll"
  File "plugins\video_filter\libdeinterlace_plugin.dll"
  File "plugins\video_filter\liberase_plugin.dll"
  File "plugins\video_filter\libextract_plugin.dll"
  File "plugins\video_filter\libfreeze_plugin.dll"
  File "plugins\video_filter\libgaussianblur_plugin.dll"
  File "plugins\video_filter\libgradfun_plugin.dll"
  File "plugins\video_filter\libgradient_plugin.dll"
  File "plugins\video_filter\libgrain_plugin.dll"
  File "plugins\video_filter\libhqdn3d_plugin.dll"
  File "plugins\video_filter\libinvert_plugin.dll"
  File "plugins\video_filter\liblogo_plugin.dll"
  File "plugins\video_filter\libmagnify_plugin.dll"
  File "plugins\video_filter\libmarq_plugin.dll"
  File "plugins\video_filter\libmirror_plugin.dll"
  File "plugins\video_filter\libmosaic_plugin.dll"
  File "plugins\video_filter\libmotionblur_plugin.dll"
  File "plugins\video_filter\libmotiondetect_plugin.dll"
  File "plugins\video_filter\liboldmovie_plugin.dll"
  File "plugins\video_filter\libposterize_plugin.dll"
  File "plugins\video_filter\libpostproc_plugin.dll"
  File "plugins\video_filter\libpsychedelic_plugin.dll"
  File "plugins\video_filter\libpuzzle_plugin.dll"
  File "plugins\video_filter\libremoteosd_plugin.dll"
  File "plugins\video_filter\libripple_plugin.dll"
  File "plugins\video_filter\librotate_plugin.dll"
  File "plugins\video_filter\librss_plugin.dll"
  File "plugins\video_filter\libscale_plugin.dll"
  File "plugins\video_filter\libscene_plugin.dll"
  File "plugins\video_filter\libsepia_plugin.dll"
  File "plugins\video_filter\libsharpen_plugin.dll"
  File "plugins\video_filter\libsubsdelay_plugin.dll"
  File "plugins\video_filter\libtransform_plugin.dll"
  File "plugins\video_filter\libvhs_plugin.dll"
  File "plugins\video_filter\libwave_plugin.dll"
  File "plugins\video_filter\libyuvp_plugin.dll"
  SetOutPath "$INSTDIR\plugins\video_output"
  File "plugins\video_output\libcaca_plugin.dll"
  File "plugins\video_output\libdirect2d_plugin.dll"
  File "plugins\video_output\libdirect3d_plugin.dll"
  File "plugins\video_output\libdirectdraw_plugin.dll"
  File "plugins\video_output\libdrawable_plugin.dll"
  File "plugins\video_output\libglwin32_plugin.dll"
  File "plugins\video_output\libgl_plugin.dll"
  File "plugins\video_output\libvdummy_plugin.dll"
  File "plugins\video_output\libvmem_plugin.dll"
  File "plugins\video_output\libwingdi_plugin.dll"
  File "plugins\video_output\libyuv_plugin.dll"
  SetOutPath "$INSTDIR\plugins\video_splitter"
  File "plugins\video_splitter\libclone_plugin.dll"
  File "plugins\video_splitter\libpanoramix_plugin.dll"
  File "plugins\video_splitter\libwall_plugin.dll"
  SetOutPath "$INSTDIR\plugins\visualization"
  File "plugins\visualization\libglspectrum_plugin.dll"
  File "plugins\visualization\libgoom_plugin.dll"
  File "plugins\visualization\libprojectm_plugin.dll"
  File "plugins\visualization\libvisual_plugin.dll"
  SetOutPath "$INSTDIR\position"
  File "position\qtposition_positionpoll.dll"
  SetOutPath "$INSTDIR\printsupport"
  File "printsupport\windowsprintersupport.dll"
  SetOutPath "$INSTDIR\sensorgestures"
  File "sensorgestures\qtsensorgestures_counterplugin.dll"
  File "sensorgestures\qtsensorgestures_plugin.dll"
  File "sensorgestures\qtsensorgestures_shakeplugin.dll"
  SetOutPath "$INSTDIR\sensors"
  File "sensors\qtsensors_generic.dll"
  SetOutPath "$INSTDIR\sqldrivers"
  File "sqldrivers\qsqlibase.dll"
  File "sqldrivers\qsqlite.dll"
  File "sqldrivers\qsqlmysql.dll"
  File "sqldrivers\qsqlodbc.dll"
  File "sqldrivers\qsqlpsql.dll"
SectionEnd

Section -AdditionalIcons
  SetShellVarContext all
  SetOutPath $INSTDIR
  WriteIniStr "$INSTDIR\${PRODUCT_WEB_SITE_FILENAME}.url" "InternetShortcut" "URL" "${PRODUCT_WEB_SITE_URL}"
  WriteIniStr "$INSTDIR\${PRODUCT_WIKI_FILENAME}.url" "InternetShortcut" "URL" "${PRODUCT_WIKI_URL}"
  CreateShortCut "$SMPROGRAMS\${PRODUCT_STARTMENU}\Need help - Check the Wiki.lnk" "$INSTDIR\${PRODUCT_WIKI_FILENAME}.url"
  CreateShortCut "$SMPROGRAMS\${PRODUCT_STARTMENU}\GoldenCheetah Website.lnk" "$INSTDIR\${PRODUCT_WEB_SITE_FILENAME}.url"
  CreateShortCut "$SMPROGRAMS\${PRODUCT_STARTMENU}\Uninstall.lnk" "$INSTDIR\uninst.exe"
SectionEnd

Section -Post
  WriteUninstaller "$INSTDIR\uninst.exe"
  WriteRegStr HKLM "${PRODUCT_DIR_REGKEY}" "" "$INSTDIR\GoldenCheetah.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayName" "$(^Name)"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "UninstallString" "$INSTDIR\uninst.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayIcon" "$INSTDIR\GoldenCheetah.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayVersion" "${PRODUCT_VERSION}"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "URLInfoAbout" "${PRODUCT_WEB_SITE_URL}"
SectionEnd


Section Uninstall
  SetShellVarContext all
  Delete "$INSTDIR\${PRODUCT_WIKI_FILENAME}.url"
  Delete "$INSTDIR\${PRODUCT_WEB_SITE_FILENAME}.url"
  Delete "$INSTDIR\uninst.exe"
  Delete "$INSTDIR\GoldenCheetah.exe"
  Delete "$INSTDIR\zlib1.dll"
  Delete "$INSTDIR\ssleay32.dll"
  Delete "$INSTDIR\sqldrivers\qsqlpsql.dll"
  Delete "$INSTDIR\sqldrivers\qsqlodbc.dll"
  Delete "$INSTDIR\sqldrivers\qsqlmysql.dll"
  Delete "$INSTDIR\sqldrivers\qsqlite.dll"
  Delete "$INSTDIR\sqldrivers\qsqlibase.dll"
  Delete "$INSTDIR\SiUSBXp.dll"
  Delete "$INSTDIR\sensors\qtsensors_generic.dll"
  Delete "$INSTDIR\sensorgestures\qtsensorgestures_shakeplugin.dll"
  Delete "$INSTDIR\sensorgestures\qtsensorgestures_plugin.dll"
  Delete "$INSTDIR\sensorgestures\qtsensorgestures_counterplugin.dll"
  Delete "$INSTDIR\Qt5Xml.dll"
  Delete "$INSTDIR\Qt5Widgets.dll"
  Delete "$INSTDIR\Qt5WebKitWidgets.dll"
  Delete "$INSTDIR\Qt5WebKit.dll"
  Delete "$INSTDIR\Qt5WebChannel.dll"
  Delete "$INSTDIR\Qt5Svg.dll"
  Delete "$INSTDIR\Qt5Sql.dll"
  Delete "$INSTDIR\Qt5SerialPort.dll"
  Delete "$INSTDIR\Qt5Sensors.dll"
  Delete "$INSTDIR\Qt5Quick.dll"
  Delete "$INSTDIR\Qt5Qml.dll"
  Delete "$INSTDIR\Qt5PrintSupport.dll"
  Delete "$INSTDIR\Qt5Positioning.dll"
  Delete "$INSTDIR\Qt5OpenGL.dll"
  Delete "$INSTDIR\Qt5Network.dll"
  Delete "$INSTDIR\Qt5MultimediaWidgets.dll"
  Delete "$INSTDIR\Qt5Multimedia.dll"
  Delete "$INSTDIR\Qt5Gui.dll"
  Delete "$INSTDIR\Qt5Core.dll"
  Delete "$INSTDIR\Qt5Concurrent.dll"
  Delete "$INSTDIR\printsupport\windowsprintersupport.dll"
  Delete "$INSTDIR\position\qtposition_positionpoll.dll"
  Delete "$INSTDIR\plugins\visualization\libvisual_plugin.dll"
  Delete "$INSTDIR\plugins\visualization\libprojectm_plugin.dll"
  Delete "$INSTDIR\plugins\visualization\libgoom_plugin.dll"
  Delete "$INSTDIR\plugins\visualization\libglspectrum_plugin.dll"
  Delete "$INSTDIR\plugins\video_splitter\libwall_plugin.dll"
  Delete "$INSTDIR\plugins\video_splitter\libpanoramix_plugin.dll"
  Delete "$INSTDIR\plugins\video_splitter\libclone_plugin.dll"
  Delete "$INSTDIR\plugins\video_output\libyuv_plugin.dll"
  Delete "$INSTDIR\plugins\video_output\libwingdi_plugin.dll"
  Delete "$INSTDIR\plugins\video_output\libvmem_plugin.dll"
  Delete "$INSTDIR\plugins\video_output\libvdummy_plugin.dll"
  Delete "$INSTDIR\plugins\video_output\libgl_plugin.dll"
  Delete "$INSTDIR\plugins\video_output\libglwin32_plugin.dll"
  Delete "$INSTDIR\plugins\video_output\libdrawable_plugin.dll"
  Delete "$INSTDIR\plugins\video_output\libdirectdraw_plugin.dll"
  Delete "$INSTDIR\plugins\video_output\libdirect3d_plugin.dll"
  Delete "$INSTDIR\plugins\video_output\libdirect2d_plugin.dll"
  Delete "$INSTDIR\plugins\video_output\libcaca_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libyuvp_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libwave_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libvhs_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libtransform_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libsubsdelay_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libsharpen_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libsepia_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libscene_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libscale_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\librss_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\librotate_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libripple_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libremoteosd_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libpuzzle_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libpsychedelic_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libpostproc_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libposterize_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\liboldmovie_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libmotiondetect_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libmotionblur_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libmosaic_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libmirror_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libmarq_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libmagnify_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\liblogo_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libinvert_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libhqdn3d_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libgrain_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libgradient_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libgradfun_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libgaussianblur_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libfreeze_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libextract_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\liberase_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libdeinterlace_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libcroppadd_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libcolorthres_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libcanvas_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libbluescreen_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libblend_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libblendbench_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libball_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libaudiobargraph_v_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libatmo_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libantiflicker_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libanaglyph_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libalphamask_plugin.dll"
  Delete "$INSTDIR\plugins\video_filter\libadjust_plugin.dll"
  Delete "$INSTDIR\plugins\video_chroma\libyuy2_i422_plugin.dll"
  Delete "$INSTDIR\plugins\video_chroma\libyuy2_i420_plugin.dll"
  Delete "$INSTDIR\plugins\video_chroma\libswscale_plugin.dll"
  Delete "$INSTDIR\plugins\video_chroma\librv32_plugin.dll"
  Delete "$INSTDIR\plugins\video_chroma\libi422_yuy2_sse2_plugin.dll"
  Delete "$INSTDIR\plugins\video_chroma\libi422_yuy2_plugin.dll"
  Delete "$INSTDIR\plugins\video_chroma\libi422_yuy2_mmx_plugin.dll"
  Delete "$INSTDIR\plugins\video_chroma\libi422_i420_plugin.dll"
  Delete "$INSTDIR\plugins\video_chroma\libi420_yuy2_sse2_plugin.dll"
  Delete "$INSTDIR\plugins\video_chroma\libi420_yuy2_plugin.dll"
  Delete "$INSTDIR\plugins\video_chroma\libi420_yuy2_mmx_plugin.dll"
  Delete "$INSTDIR\plugins\video_chroma\libi420_rgb_sse2_plugin.dll"
  Delete "$INSTDIR\plugins\video_chroma\libi420_rgb_plugin.dll"
  Delete "$INSTDIR\plugins\video_chroma\libi420_rgb_mmx_plugin.dll"
  Delete "$INSTDIR\plugins\video_chroma\libgrey_yuv_plugin.dll"
  Delete "$INSTDIR\plugins\video_chroma\libchain_plugin.dll"
  Delete "$INSTDIR\plugins\text_renderer\libtdummy_plugin.dll"
  Delete "$INSTDIR\plugins\text_renderer\libfreetype_plugin.dll"
  Delete "$INSTDIR\plugins\stream_out\libstream_out_transcode_plugin.dll"
  Delete "$INSTDIR\plugins\stream_out\libstream_out_stats_plugin.dll"
  Delete "$INSTDIR\plugins\stream_out\libstream_out_standard_plugin.dll"
  Delete "$INSTDIR\plugins\stream_out\libstream_out_smem_plugin.dll"
  Delete "$INSTDIR\plugins\stream_out\libstream_out_setid_plugin.dll"
  Delete "$INSTDIR\plugins\stream_out\libstream_out_rtp_plugin.dll"
  Delete "$INSTDIR\plugins\stream_out\libstream_out_record_plugin.dll"
  Delete "$INSTDIR\plugins\stream_out\libstream_out_raop_plugin.dll"
  Delete "$INSTDIR\plugins\stream_out\libstream_out_mosaic_bridge_plugin.dll"
  Delete "$INSTDIR\plugins\stream_out\libstream_out_langfromtelx_plugin.dll"
  Delete "$INSTDIR\plugins\stream_out\libstream_out_gather_plugin.dll"
  Delete "$INSTDIR\plugins\stream_out\libstream_out_es_plugin.dll"
  Delete "$INSTDIR\plugins\stream_out\libstream_out_duplicate_plugin.dll"
  Delete "$INSTDIR\plugins\stream_out\libstream_out_dummy_plugin.dll"
  Delete "$INSTDIR\plugins\stream_out\libstream_out_display_plugin.dll"
  Delete "$INSTDIR\plugins\stream_out\libstream_out_description_plugin.dll"
  Delete "$INSTDIR\plugins\stream_out\libstream_out_delay_plugin.dll"
  Delete "$INSTDIR\plugins\stream_out\libstream_out_chromaprint_plugin.dll"
  Delete "$INSTDIR\plugins\stream_out\libstream_out_bridge_plugin.dll"
  Delete "$INSTDIR\plugins\stream_out\libstream_out_autodel_plugin.dll"
  Delete "$INSTDIR\plugins\stream_filter\libsmooth_plugin.dll"
  Delete "$INSTDIR\plugins\stream_filter\librecord_plugin.dll"
  Delete "$INSTDIR\plugins\stream_filter\libhttplive_plugin.dll"
  Delete "$INSTDIR\plugins\stream_filter\libdash_plugin.dll"
  Delete "$INSTDIR\plugins\services_discovery\libwindrive_plugin.dll"
  Delete "$INSTDIR\plugins\services_discovery\libupnp_plugin.dll"
  Delete "$INSTDIR\plugins\services_discovery\libsap_plugin.dll"
  Delete "$INSTDIR\plugins\services_discovery\libpodcast_plugin.dll"
  Delete "$INSTDIR\plugins\services_discovery\libmediadirs_plugin.dll"
  Delete "$INSTDIR\plugins\packetizer\libpacketizer_vc1_plugin.dll"
  Delete "$INSTDIR\plugins\packetizer\libpacketizer_mpegvideo_plugin.dll"
  Delete "$INSTDIR\plugins\packetizer\libpacketizer_mpeg4video_plugin.dll"
  Delete "$INSTDIR\plugins\packetizer\libpacketizer_mpeg4audio_plugin.dll"
  Delete "$INSTDIR\plugins\packetizer\libpacketizer_mlp_plugin.dll"
  Delete "$INSTDIR\plugins\packetizer\libpacketizer_hevc_plugin.dll"
  Delete "$INSTDIR\plugins\packetizer\libpacketizer_h264_plugin.dll"
  Delete "$INSTDIR\plugins\packetizer\libpacketizer_flac_plugin.dll"
  Delete "$INSTDIR\plugins\packetizer\libpacketizer_dirac_plugin.dll"
  Delete "$INSTDIR\plugins\packetizer\libpacketizer_copy_plugin.dll"
  Delete "$INSTDIR\plugins\mux\libmux_wav_plugin.dll"
  Delete "$INSTDIR\plugins\mux\libmux_ts_plugin.dll"
  Delete "$INSTDIR\plugins\mux\libmux_ps_plugin.dll"
  Delete "$INSTDIR\plugins\mux\libmux_ogg_plugin.dll"
  Delete "$INSTDIR\plugins\mux\libmux_mpjpeg_plugin.dll"
  Delete "$INSTDIR\plugins\mux\libmux_mp4_plugin.dll"
  Delete "$INSTDIR\plugins\mux\libmux_dummy_plugin.dll"
  Delete "$INSTDIR\plugins\mux\libmux_avi_plugin.dll"
  Delete "$INSTDIR\plugins\mux\libmux_asf_plugin.dll"
  Delete "$INSTDIR\plugins\misc\libxml_plugin.dll"
  Delete "$INSTDIR\plugins\misc\libvod_rtsp_plugin.dll"
  Delete "$INSTDIR\plugins\misc\libstats_plugin.dll"
  Delete "$INSTDIR\plugins\misc\liblogger_plugin.dll"
  Delete "$INSTDIR\plugins\misc\libgnutls_plugin.dll"
  Delete "$INSTDIR\plugins\misc\libfingerprinter_plugin.dll"
  Delete "$INSTDIR\plugins\misc\libexport_plugin.dll"
  Delete "$INSTDIR\plugins\misc\libaudioscrobbler_plugin.dll"
  Delete "$INSTDIR\plugins\misc\libaddonsvorepository_plugin.dll"
  Delete "$INSTDIR\plugins\misc\libaddonsfsstorage_plugin.dll"
  Delete "$INSTDIR\plugins\meta_engine\libtaglib_plugin.dll"
  Delete "$INSTDIR\plugins\meta_engine\libfolder_plugin.dll"
  Delete "$INSTDIR\plugins\lua\liblua_plugin.dll"
  Delete "$INSTDIR\plugins\gui\libskins2_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libxa_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libwav_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libvoc_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libvobsub_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libvc1_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libty_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libtta_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libts_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libsubtitle_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libsmf_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libsid_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libreal_plugin.dll"
  Delete "$INSTDIR\plugins\demux\librawvid_plugin.dll"
  Delete "$INSTDIR\plugins\demux\librawdv_plugin.dll"
  Delete "$INSTDIR\plugins\demux\librawaud_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libpva_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libps_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libplaylist_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libogg_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libnuv_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libnsv_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libnsc_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libmpgv_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libmpc_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libmp4_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libmod_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libmkv_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libmjpeg_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libimage_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libhevc_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libh264_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libgme_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libflacsys_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libes_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libdiracsys_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libdemux_stl_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libdemux_cdg_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libdemuxdump_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libcaf_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libavi_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libau_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libasf_plugin.dll"
  Delete "$INSTDIR\plugins\demux\libaiff_plugin.dll"
  Delete "$INSTDIR\plugins\control\libwin_msg_plugin.dll"
  Delete "$INSTDIR\plugins\control\libwin_hotkeys_plugin.dll"
  Delete "$INSTDIR\plugins\control\liboldrc_plugin.dll"
  Delete "$INSTDIR\plugins\control\libntservice_plugin.dll"
  Delete "$INSTDIR\plugins\control\libnetsync_plugin.dll"
  Delete "$INSTDIR\plugins\control\libhotkeys_plugin.dll"
  Delete "$INSTDIR\plugins\control\libgestures_plugin.dll"
  Delete "$INSTDIR\plugins\control\libdummy_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libzvbi_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libx265_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libx264_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libvpx_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libvorbis_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libuleaddvaudio_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libtwolame_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libtheora_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libt140_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libsvcdsub_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libsubsusf_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libsubstx3g_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libsubsdec_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libstl_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libspudec_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libspeex_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libscte27_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libschroedinger_plugin.dll"
  Delete "$INSTDIR\plugins\codec\librawvideo_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libquicktime_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libpng_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libopus_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libmpeg_audio_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libmft_plugin.dll"
  Delete "$INSTDIR\plugins\codec\liblpcm_plugin.dll"
  Delete "$INSTDIR\plugins\codec\liblibmpeg2_plugin.dll"
  Delete "$INSTDIR\plugins\codec\liblibass_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libkate_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libjpeg_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libg711_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libflac_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libfaad_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libedummy_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libdxva2_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libdvbsub_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libdts_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libdmo_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libddummy_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libcvdsub_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libcrystalhd_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libcdg_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libcc_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libavcodec_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libaraw_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libaes3_plugin.dll"
  Delete "$INSTDIR\plugins\codec\libadpcm_plugin.dll"
  Delete "$INSTDIR\plugins\codec\liba52_plugin.dll"
  Delete "$INSTDIR\plugins\audio_output\libwaveout_plugin.dll"
  Delete "$INSTDIR\plugins\audio_output\libwasapi_plugin.dll"
  Delete "$INSTDIR\plugins\audio_output\libmmdevice_plugin.dll"
  Delete "$INSTDIR\plugins\audio_output\libdirectsound_plugin.dll"
  Delete "$INSTDIR\plugins\audio_output\libamem_plugin.dll"
  Delete "$INSTDIR\plugins\audio_output\libafile_plugin.dll"
  Delete "$INSTDIR\plugins\audio_output\libadummy_plugin.dll"
  Delete "$INSTDIR\plugins\audio_mixer\libinteger_mixer_plugin.dll"
  Delete "$INSTDIR\plugins\audio_mixer\libfloat_mixer_plugin.dll"
  Delete "$INSTDIR\plugins\audio_filter\libugly_resampler_plugin.dll"
  Delete "$INSTDIR\plugins\audio_filter\libtrivial_channel_mixer_plugin.dll"
  Delete "$INSTDIR\plugins\audio_filter\libstereo_widen_plugin.dll"
  Delete "$INSTDIR\plugins\audio_filter\libspeex_resampler_plugin.dll"
  Delete "$INSTDIR\plugins\audio_filter\libspatializer_plugin.dll"
  Delete "$INSTDIR\plugins\audio_filter\libsimple_channel_mixer_plugin.dll"
  Delete "$INSTDIR\plugins\audio_filter\libscaletempo_plugin.dll"
  Delete "$INSTDIR\plugins\audio_filter\libsamplerate_plugin.dll"
  Delete "$INSTDIR\plugins\audio_filter\libremap_plugin.dll"
  Delete "$INSTDIR\plugins\audio_filter\libparam_eq_plugin.dll"
  Delete "$INSTDIR\plugins\audio_filter\libnormvol_plugin.dll"
  Delete "$INSTDIR\plugins\audio_filter\libmpgatofixed32_plugin.dll"
  Delete "$INSTDIR\plugins\audio_filter\libmono_plugin.dll"
  Delete "$INSTDIR\plugins\audio_filter\libkaraoke_plugin.dll"
  Delete "$INSTDIR\plugins\audio_filter\libheadphone_channel_mixer_plugin.dll"
  Delete "$INSTDIR\plugins\audio_filter\libgain_plugin.dll"
  Delete "$INSTDIR\plugins\audio_filter\libequalizer_plugin.dll"
  Delete "$INSTDIR\plugins\audio_filter\libdtstospdif_plugin.dll"
  Delete "$INSTDIR\plugins\audio_filter\libdtstofloat32_plugin.dll"
  Delete "$INSTDIR\plugins\audio_filter\libdolby_surround_decoder_plugin.dll"
  Delete "$INSTDIR\plugins\audio_filter\libcompressor_plugin.dll"
  Delete "$INSTDIR\plugins\audio_filter\libchorus_flanger_plugin.dll"
  Delete "$INSTDIR\plugins\audio_filter\libaudio_format_plugin.dll"
  Delete "$INSTDIR\plugins\audio_filter\libaudiobargraph_a_plugin.dll"
  Delete "$INSTDIR\plugins\audio_filter\liba52tospdif_plugin.dll"
  Delete "$INSTDIR\plugins\audio_filter\liba52tofloat32_plugin.dll"
  Delete "$INSTDIR\plugins\access_output\libaccess_output_udp_plugin.dll"
  Delete "$INSTDIR\plugins\access_output\libaccess_output_shout_plugin.dll"
  Delete "$INSTDIR\plugins\access_output\libaccess_output_livehttp_plugin.dll"
  Delete "$INSTDIR\plugins\access_output\libaccess_output_http_plugin.dll"
  Delete "$INSTDIR\plugins\access_output\libaccess_output_file_plugin.dll"
  Delete "$INSTDIR\plugins\access_output\libaccess_output_dummy_plugin.dll"
  Delete "$INSTDIR\plugins\access\libzip_plugin.dll"
  Delete "$INSTDIR\plugins\access\libvdr_plugin.dll"
  Delete "$INSTDIR\plugins\access\libvcd_plugin.dll"
  Delete "$INSTDIR\plugins\access\libudp_plugin.dll"
  Delete "$INSTDIR\plugins\access\libtimecode_plugin.dll"
  Delete "$INSTDIR\plugins\access\libtcp_plugin.dll"
  Delete "$INSTDIR\plugins\access\libsmb_plugin.dll"
  Delete "$INSTDIR\plugins\access\libshm_plugin.dll"
  Delete "$INSTDIR\plugins\access\libsftp_plugin.dll"
  Delete "$INSTDIR\plugins\access\libsdp_plugin.dll"
  Delete "$INSTDIR\plugins\access\libscreen_plugin.dll"
  Delete "$INSTDIR\plugins\access\librtp_plugin.dll"
  Delete "$INSTDIR\plugins\access\librar_plugin.dll"
  Delete "$INSTDIR\plugins\access\liblive555_plugin.dll"
  Delete "$INSTDIR\plugins\access\liblibbluray_plugin.dll"
  Delete "$INSTDIR\plugins\access\libimem_plugin.dll"
  Delete "$INSTDIR\plugins\access\libidummy_plugin.dll"
  Delete "$INSTDIR\plugins\access\libhttp_plugin.dll"
  Delete "$INSTDIR\plugins\access\libftp_plugin.dll"
  Delete "$INSTDIR\plugins\access\libfilesystem_plugin.dll"
  Delete "$INSTDIR\plugins\access\libdvdread_plugin.dll"
  Delete "$INSTDIR\plugins\access\libdvdnav_plugin.dll"
  Delete "$INSTDIR\plugins\access\libdtv_plugin.dll"
  Delete "$INSTDIR\plugins\access\libdshow_plugin.dll"
  Delete "$INSTDIR\plugins\access\libcdda_plugin.dll"
  Delete "$INSTDIR\plugins\access\libattachment_plugin.dll"
  Delete "$INSTDIR\plugins\access\libaccess_realrtsp_plugin.dll"
  Delete "$INSTDIR\plugins\access\libaccess_mms_plugin.dll"
  Delete "$INSTDIR\plugins\access\libaccess_bd_plugin.dll"
  Delete "$INSTDIR\playlistformats\qtmultimedia_m3u.dll"
  Delete "$INSTDIR\platforms\qwindows.dll"
  Delete "$INSTDIR\OpenSSL License.txt"
  Delete "$INSTDIR\mediaservice\qtmedia_audioengine.dll"
  Delete "$INSTDIR\mediaservice\dsengine.dll"
  Delete "$INSTDIR\license.txt"
  Delete "$INSTDIR\libxslt-1.dll"
  Delete "$INSTDIR\libxml2-2.dll"
  Delete "$INSTDIR\libwinpthread-1.dll"
  Delete "$INSTDIR\libwebp-5.dll"
  Delete "$INSTDIR\libvlccore.dll"
  Delete "$INSTDIR\libvlc.dll"
  Delete "$INSTDIR\libusb0.dll"
  Delete "$INSTDIR\libstdc++-6.dll"
  Delete "$INSTDIR\libsqlite3-0.dll"
  Delete "$INSTDIR\libpng16-16.dll"
  Delete "$INSTDIR\libpcre16-0.dll"
  Delete "$INSTDIR\libjpeg-8.dll"
  Delete "$INSTDIR\libintl-8.dll"
  Delete "$INSTDIR\libicuuc55.dll"
  Delete "$INSTDIR\libicuin55.dll"
  Delete "$INSTDIR\libicudt55.dll"
  Delete "$INSTDIR\libiconv-2.dll"
  Delete "$INSTDIR\libicalvcal.dll"
  Delete "$INSTDIR\libicalss.dll"
  Delete "$INSTDIR\libical.dll"
  Delete "$INSTDIR\libharfbuzz-0.dll"
  Delete "$INSTDIR\libglib-2.0-0.dll"
  Delete "$INSTDIR\libgcc_s_seh-1.dll"
  Delete "$INSTDIR\libfreetype-6.dll"
  Delete "$INSTDIR\libeay32.dll"
  Delete "$INSTDIR\libbz2-1.dll"
  Delete "$INSTDIR\kqoauth0.dll"
  Delete "$INSTDIR\imageformats\qwebp.dll"
  Delete "$INSTDIR\imageformats\qwbmp.dll"
  Delete "$INSTDIR\imageformats\qtiff.dll"
  Delete "$INSTDIR\imageformats\qtga.dll"
  Delete "$INSTDIR\imageformats\qsvg.dll"
  Delete "$INSTDIR\imageformats\qmng.dll"
  Delete "$INSTDIR\imageformats\qjpeg.dll"
  Delete "$INSTDIR\imageformats\qjp2.dll"
  Delete "$INSTDIR\imageformats\qico.dll"
  Delete "$INSTDIR\imageformats\qicns.dll"
  Delete "$INSTDIR\imageformats\qgif.dll"
  Delete "$INSTDIR\imageformats\qdds.dll"
  Delete "$INSTDIR\iconengines\qsvgicon.dll"
  Delete "$INSTDIR\GoldenCheetah.exe"
  Delete "$INSTDIR\GC3.20RC0-Master-W32-QT5.4.2.nsi"
  Delete "$INSTDIR\gc.ico"
  Delete "$INSTDIR\ftd2xx.dll"
  Delete "$INSTDIR\bearer\qnativewifibearer.dll"
  Delete "$INSTDIR\bearer\qgenericbearer.dll"
  Delete "$INSTDIR\audio\qtaudio_windows.dll"

  RMDir "$INSTDIR\sqldrivers"
  RMDir "$INSTDIR\sensors"
  RMDir "$INSTDIR\sensorgestures"
  RMDir "$INSTDIR\printsupport"
  RMDir "$INSTDIR\position"
  RMDir "$INSTDIR\plugins\visualization"
  RMDir "$INSTDIR\plugins\video_splitter"
  RMDir "$INSTDIR\plugins\video_output"
  RMDir "$INSTDIR\plugins\video_filter"
  RMDir "$INSTDIR\plugins\video_chroma"
  RMDir "$INSTDIR\plugins\text_renderer"
  RMDir "$INSTDIR\plugins\stream_out"
  RMDir "$INSTDIR\plugins\stream_filter"
  RMDir "$INSTDIR\plugins\services_discovery"
  RMDir "$INSTDIR\plugins\packetizer"
  RMDir "$INSTDIR\plugins\mux"
  RMDir "$INSTDIR\plugins\misc"
  RMDir "$INSTDIR\plugins\meta_engine"
  RMDir "$INSTDIR\plugins\lua"
  RMDir "$INSTDIR\plugins\gui"
  RMDir "$INSTDIR\plugins\demux"
  RMDir "$INSTDIR\plugins\control"
  RMDir "$INSTDIR\plugins\codec"
  RMDir "$INSTDIR\plugins\audio_output"
  RMDir "$INSTDIR\plugins\audio_mixer"
  RMDir "$INSTDIR\plugins\audio_filter"
  RMDir "$INSTDIR\plugins\access_output"
  RMDir "$INSTDIR\plugins\access"
  RMDir "$INSTDIR\plugins"
  RMDir "$INSTDIR\playlistformats"
  RMDir "$INSTDIR\platforms"
  RMDir "$INSTDIR\mediaservice"
  RMDir "$INSTDIR\imageformats"
  RMDir "$INSTDIR\iconengines"
  RMDir "$INSTDIR\bearer"
  RMDir "$INSTDIR\audio"
  RMDir "$INSTDIR"

  SetShellVarContext all
  Delete "$SMPROGRAMS\${PRODUCT_STARTMENU}\*.*"
  Delete "$SMPROGRAMS\${PRODUCT_STARTMENU}\Uninstall.lnk"
  Delete "$SMPROGRAMS\${PRODUCT_STARTMENU}\Need help - Check the Wiki.lnk"
  Delete "$SMPROGRAMS\${PRODUCT_STARTMENU}\GoldenCheetah Website.lnk"
  Delete "$SMPROGRAMS\${PRODUCT_STARTMENU}\Golden Cheetah.lnk"
  Delete "$SMPROGRAMS\${PRODUCT_STARTMENU}\*.lnk"
  RMDir /r "$SMPROGRAMS\${PRODUCT_STARTMENU}"
  Delete "$DESKTOP\Golden Cheetah.lnk"
  Delete "$DESKTOP\Golden Cheetah - HighDPI.lnk"

  DeleteRegKey ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}"
  DeleteRegKey HKLM "${PRODUCT_DIR_REGKEY}"
  ;no not delete the User Preferences in UnInstall
  ;DeleteRegKey HKCU "${PRODUCT_SETTINGS_KEY}"
  SetAutoClose false
SectionEnd